[arch-commits] Commit in fontcacheproto/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sat Apr 4 02:34:58 EDT 2009


    Date: Saturday, April 4, 2009 @ 02:34:58
  Author: eric
Revision: 33070

Merged revisions 356,33069 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/fontcacheproto/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r33069 | eric | 2009-04-04 02:34:38 -0400 (Sat, 04 Apr 2009) | 2 lines
  
  upgpkg: fontcacheproto 0.1.2-2
      Added license
........

Modified:
  fontcacheproto/repos/extra-x86_64/	(properties)
  fontcacheproto/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)


Property changes on: fontcacheproto/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /fontcacheproto/trunk:1
   + /fontcacheproto/trunk:1-33069

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-04 06:34:38 UTC (rev 33069)
+++ extra-x86_64/PKGBUILD	2009-04-04 06:34:58 UTC (rev 33070)
@@ -3,17 +3,19 @@
 
 pkgname=fontcacheproto
 pkgver=0.1.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 font cache extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('BSD')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('60df6b625074a9790e28543dcea71651')
 sha1sums=('6a531ef505ba2f7c1aa884bb4efdac3e32dfd99b')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list